Home
last modified time | relevance | path

Searched refs:open (Results 1 – 25 of 2113) sorted by relevance

12345678910>>...85

/openbsd/src/regress/sys/ffs/tests/open/
D06.t17 expect 0 -u 65534 -g 65534 open ${n1} O_RDONLY
18 expect 0 -u 65534 -g 65534 open ${n1} O_WRONLY
19 expect 0 -u 65534 -g 65534 open ${n1} O_RDWR
21 expect 0 -u 65533 -g 65534 open ${n1} O_RDONLY
22 expect 0 -u 65533 -g 65534 open ${n1} O_WRONLY
23 expect 0 -u 65533 -g 65534 open ${n1} O_RDWR
25 expect 0 -u 65533 -g 65533 open ${n1} O_RDONLY
26 expect 0 -u 65533 -g 65533 open ${n1} O_WRONLY
27 expect 0 -u 65533 -g 65533 open ${n1} O_RDWR
30 expect 0 -u 65534 -g 65534 open ${n1} O_RDONLY
[all …]
D11.t10 expect 0 open ${n0} O_WRONLY,O_APPEND
11 expect 0 open ${n0} O_RDWR,O_APPEND
12 expect EPERM open ${n0} O_WRONLY
13 expect EPERM open ${n0} O_RDWR
14 expect EPERM open ${n0} O_RDONLY,O_TRUNC
15 expect EPERM open ${n0} O_RDONLY,O_APPEND,O_TRUNC
16 expect EPERM open ${n0} O_WRONLY,O_APPEND,O_TRUNC
17 expect EPERM open ${n0} O_RDWR,O_APPEND,O_TRUNC
23 expect 0 open ${n0} O_WRONLY,O_APPEND
24 expect 0 open ${n0} O_RDWR,O_APPEND
[all …]
D18.t9 expect 0 open ${n0} O_RDONLY,O_SHLOCK : open ${n0} O_RDONLY,O_SHLOCK,O_NONBLOCK
10 expect "EWOULDBLOCK|EAGAIN" open ${n0} O_RDONLY,O_EXLOCK : open ${n0} O_RDONLY,O_EXLOCK,O_NONBLOCK
11 expect "EWOULDBLOCK|EAGAIN" open ${n0} O_RDONLY,O_SHLOCK : open ${n0} O_RDONLY,O_EXLOCK,O_NONBLOCK
12 expect "EWOULDBLOCK|EAGAIN" open ${n0} O_RDONLY,O_EXLOCK : open ${n0} O_RDONLY,O_SHLOCK,O_NONBLOCK
D07.t17 expect EACCES -u 65534 -g 65534 open ${n1} O_RDONLY,O_TRUNC
19 expect EACCES -u 65533 -g 65534 open ${n1} O_RDONLY,O_TRUNC
21 expect EACCES -u 65533 -g 65533 open ${n1} O_RDONLY,O_TRUNC
24 expect EACCES -u 65534 -g 65534 open ${n1} O_RDONLY,O_TRUNC
26 expect EACCES -u 65533 -g 65534 open ${n1} O_RDONLY,O_TRUNC
28 expect EACCES -u 65533 -g 65533 open ${n1} O_RDONLY,O_TRUNC
31 expect EACCES -u 65534 -g 65534 open ${n1} O_RDONLY,O_TRUNC
33 expect EACCES -u 65533 -g 65534 open ${n1} O_RDONLY,O_TRUNC
35 expect EACCES -u 65533 -g 65533 open ${n1} O_RDONLY,O_TRUNC
D00.t19 expect 0 open ${n0} O_CREAT,O_WRONLY 0755
22 expect 0 open ${n0} O_CREAT,O_WRONLY 0151
25 expect 0 -U 077 open ${n0} O_CREAT,O_WRONLY 0151
28 expect 0 -U 070 open ${n0} O_CREAT,O_WRONLY 0345
31 expect 0 -U 0501 open ${n0} O_CREAT,O_WRONLY 0345
40 expect 0 -u 65535 -g 65535 open ${n0} O_CREAT,O_WRONLY 0644
43 expect 0 -u 65535 -g 65534 open ${n0} O_CREAT,O_WRONLY 0644
47 expect 0 -u 65534 -g 65533 open ${n0} O_CREAT,O_WRONLY 0644
55 expect 0 open ${n0} O_CREAT,O_WRONLY 0644
73 expect 0 open ${n0} O_CREAT,O_RDONLY 0644
[all …]
/openbsd/src/gnu/usr.bin/perl/t/lib/croak/
Dpp_sys17 # NAME open on global dirhandle
19 open FOO, "../harness";
21 Cannot open FOO as a filehandle: it is already open as a dirhandle at - line 2.
23 # NAME open on lexical dirhandle
25 open $foo, "../harness";
27 Cannot open $foo as a filehandle: it is already open as a dirhandle at - line 2.
29 # NAME open on global utf8 dirhandle
31 use open qw( :utf8 :std );
34 open FOO, "../harness";
36 Cannot open FOO as a filehandle: it is already open as a dirhandle at - line 5.
[all …]
/openbsd/src/gnu/usr.bin/perl/t/io/
Dopen.t20 print open(F, "+<&=$fd") ? 1 : 0, "\\n";
32 ok( open(my $f,"+>$afile"), 'open(my $f, "+>...")' );
53 ok( open(my $f,'>', $afile), "open(my \$f, '>', $afile)" );
61 ok( open(my $f,'>>', $afile), "open(my \$f, '>>', $afile)" );
69 ok( open(my $f, '<', $afile), "open(my \$f, '<', $afile)" );
81 ok( open(my $f, '+<', $afile), 'open +<' );
93 ok( open(my $f, '-|', <<EOC), 'open -|' );
103 ok( open(my $f, '|-', <<EOC), 'open |-' );
122 ok( !eval { open my $f, '<&', $afile; 1; }, '<& on a non-filehandle' );
125 ok( !eval { *some_glob = 1; open my $f, '<&', *some_glob; 1; }, '<& on a non-filehandle glob' );
[all …]
Ddup.t17 open(DUPOUT,">&STDOUT");
18 open(DUPERR,">&STDERR");
22 open(STDOUT,">$tempfile") || die "Can't open stdout";
23 open(STDERR,">&STDOUT") || die "Can't open stderr";
46 open(STDOUT,">&DUPOUT") or die "Could not open: $!";
47 open(STDERR,">&DUPERR") or die "Could not open: $!";
55 open(F,">&",1) or die "Cannot dup to numeric 1: $!";
59 open(F,">&",'1') or die "Cannot dup to string '1': $!";
63 open(F,">&=",1) or die "Cannot dup to numeric 1: $!";
68 open(F,">&=",'1') or die "Cannot dup to string '1': $!";
[all …]
Dutf8.t20 open(F,"+>:utf8",$a_file);
59 open F, ">:utf8", $a_file or die $!;
63 open F, "<:utf8", $a_file or die $!;
68 open F, $a_file or die $!; # Not UTF
76 open F, ">:utf8", $a_file or die $!;
106 open F, $a_file or die $!; # Not UTF
114 open F, "<:utf8", $a_file or die $!;
120 open F, ">", $a_file or die $!;
135 open F, ">:utf8", $a_file or die $!;
141 open F, "<", $a_file or die $!;
[all …]
Dscalar.t19 ok(open($fh,"+<",\$var));
39 open $fh, ">", \$var;
54 open $fh, ">>", \$var;
72 open $fh, "<", \$var;
82 open $fh, "+>", \$var;
84 open my $dup,'+<&',$fh;
92 open $fh, '<', \42;
97 tie my $p, 'P'; open $fh, '<', \$p;
104 open my $fh, '>', \my $scalar;
109 open $fh, '>>', \$scalar;
[all …]
Dperlio.t22 ok(open($txtfh, ">:crlf", $txt));
24 ok(open($binfh, ">:raw", $bin));
26 ok(open($utffh, ">:utf8", $utf));
43 ok(open($txtfh, "<:crlf", $txt));
45 ok(open($binfh, "<:raw", $bin));
48 ok(open($utffh, "<:utf8", $utf));
71 # magic temporary file via 3 arg open with undef
73 ok( open(my $x,"+<",undef), 'magic temp file via 3 arg open with undef');
85 open OLDOUT, ">&STDOUT" or die "cannot dup STDOUT: $!";
86 my $status = open(STDOUT,"+<",undef);
[all …]
Dpipe.t21 open(PIPE, "|-") || exec $Perl, '-pe', 'tr/YX/ko/';
30 if (open(PIPE, "-|")) {
49 if (open(PIPE, "-|")) {
70 if (open(PIPE, "|-")) {
111 open(STDOUT,">&WRITER") || die "Can't dup WRITER to STDOUT";
160 print open(F, "<&=$fdr") ? 1 : 0, "\\n";
161 print open(F, ">&=$fdw") ? 1 : 0, "\\n";
179 open NIL, qq{|$Perl -e "exit 0"} or die "open failed: $!";
193 open NIL, qq{|$Perl -e "exit 23";} or die "fork failed: $!";
207 my $pipe = open *FH, "sleep 2;exit 13|" or die "Open: $!\n";
[all …]
/openbsd/src/gnu/usr.bin/perl/ext/PerlIO-encoding/t/
Dencoding.t24 if (open(GRK, '>', $grk)) {
32 is(open(my $i,'<:encoding(iso-8859-7)',$grk), 1);
33 is(open(my $o,'>:utf8',$utf), 1);
39 if (open(UTF, '<', $utf)) {
49 is (open(my $i,'<:utf8',$utf), 1);
50 is (open(my $o,'>:encoding(iso-8859-7)',$grk), 1);
56 if (open(GRK, '<', $grk)) {
64 is (open(FAIL, ">:encoding(NoneSuch)", $fail1), undef, 'Open should fail');
67 is(open(RUSSKI, '>', $russki), 1);
70 open(RUSSKI, '<', $russki);
[all …]
/openbsd/src/gnu/usr.bin/perl/t/lib/warnings/
Ddoio3 Can't open bidirectional pipe [Perl_do_open9]
4 open(F, "| true |");
6 Missing command in piped open [Perl_do_open9]
7 open(F, "| ");
9 Missing command in piped open [Perl_do_open9]
10 open(F, " |");
12 warn(warn_nl, "open"); [Perl_do_open9]
13 open(F, "true\ncd")
63 open(F, '|'."$^X -e 1|");
66 open(G, '|'."$^X -e 1|");
[all …]
Dperlio13 open(F, ">:-aa", "bb")
18 open(F, ">:aa(", "bb")
23 open(F, ">xyz", "bb")
29 open(F, ">:-aa", "bb");
31 open(F, ">:-aa", "bb");
39 open(F, ">:aa(", "bb");
41 open(F, ">:aa(", "bb");
52 open(F, ">:xyz", "bb");
54 open(F, ">:xyz", "bb");
/openbsd/src/regress/sys/kern/unveil-unmount/
DMakefile67 REGRESS_TARGETS += run-chroot-open
68 run-chroot-open:
74 REGRESS_TARGETS += run-chroot-dir-open
75 run-chroot-dir-open:
81 REGRESS_TARGETS += run-chroot-unveil-dir-open
82 run-chroot-unveil-dir-open:
88 REGRESS_TARGETS += run-chroot-dir-unveil-dir-open
89 run-chroot-dir-unveil-dir-open:
95 REGRESS_TARGETS += run-chroot-rootslash-open
96 run-chroot-rootslash-open:
[all …]
/openbsd/src/gnu/usr.bin/perl/ext/PerlIO-via/t/
Dvia.t24 ok( !open($fh,"<via(PerlIO::via::QuotedPrint)", $tmp), 'open QuotedPrint for input fails');
25 ok( open($fh,">via(PerlIO::via::QuotedPrint)", $tmp), 'open QuotedPrint for output');
29 ok( open($fh,"<via(PerlIO::via::QuotedPrint)", $tmp), 'open QuotedPrint for input');
43 my $fd = open($fh,'>',$tmp) && fileno($fh);
47 ok( ! open($fh,">via(Unknown::Module)", $tmp), 'open via Unknown::Module will fail');
51 my $fd2 = open($fh,'<',$tmp) && fileno($fh);
66 ok( ! open($fh,">via(Incomplete::Module)", $tmp), 'open via Incomplete::Module will fail');
71 ok( ! open($fh,">via(Unknown::Module)", $tmp), 'open via Unknown::Module will fail');
78 open $fh, '<:via(Foo)', "foo";
80 open $fh, '<:via(Bar)', "bar";
[all …]
/openbsd/src/usr.bin/file/magdir/
Dos40024 >&213 byte 0x44 \b, at least V5R4 to open
25 >&213 byte 0x43 \b, at least V5R3 to open
26 >&213 byte 0x42 \b, at least V5R2 to open
27 >&213 byte 0x41 \b, at least V5R1 to open
28 >&213 byte 0x40 \b, at least V4R5 to open
29 >&213 byte 0x3F \b, at least V4R4 to open
30 >&213 byte 0x3E \b, at least V4R3 to open
31 >&213 byte 0x3C \b, at least V4R2 to open
32 >&213 byte 0x3D \b, at least V4R1M4 to open
33 >&213 byte 0x3B \b, at least V4R1 to open
[all …]
/openbsd/src/regress/sys/kern/unveil/
Dsyscalls.c54 UV_SHOULD_SUCCEED(((slashbefore = open("/", O_RDONLY | O_DIRECTORY)) == -1), "open"); in test_openat()
55 UV_SHOULD_SUCCEED(((dirfd1before = open(uv_dir1, O_RDONLY | O_DIRECTORY)) == -1), "open"); in test_openat()
56 UV_SHOULD_SUCCEED(((dirfd2before = open(uv_dir2, O_RDONLY | O_DIRECTORY)) == -1), "open"); in test_openat()
61 UV_SHOULD_SUCCEED(((dirfd1after = open(uv_dir1, O_RDONLY | O_DIRECTORY)) == -1), "open"); in test_openat()
62 UV_SHOULD_ENOENT(((dirfd2after = open(uv_dir2, O_RDONLY | O_DIRECTORY)) == -1), "open"); in test_openat()
104 UV_SHOULD_SUCCEED(((dirfd = open("/", O_RDONLY | O_DIRECTORY)) == -1), "open"); in test_open()
105 UV_SHOULD_SUCCEED(((dirfd2 = open(uv_dir2, O_RDONLY | O_DIRECTORY)) == -1), "open"); in test_open()
164 UV_SHOULD_ENOENT((open(uv_file2, O_RDWR) == -1), "open"); in test_open()
165 UV_SHOULD_ENOENT(((dirfd3= open(uv_dir2, O_RDONLY | O_DIRECTORY)) == -1), "open"); in test_open()
167 UV_SHOULD_SUCCEED((open(uv_file1, O_RDWR) == -1), "open"); in test_open()
[all …]
/openbsd/src/gnu/usr.bin/perl/t/lib/subs/
Dsubs31 use subs qw( open ) ;
32 open 1,2 ;
33 sub open { print $_[0] + $_[1], "\n" }
39 use subs qw( open ) ;
40 sub open { print $_[0] + $_[1], "\n" }
41 open 1,2 ;
47 use subs qw( open ) ;
48 open (1,2) ;
49 sub open { print $_[0] + $_[1], "\n" }
55 use subs qw( open ) ;
[all …]
/openbsd/src/sys/sys/
Dconf.h109 dev_decl(n,open); dev_decl(n,close); dev_decl(n,strategy); \
113 dev_init(c,n,open), dev_init(c,n,close), \
163 dev_decl(n,open); dev_decl(n,close); dev_decl(n,read); \
170 dev_init(c,n,open), dev_init(c,n,close), dev_init(c,n,read), \
177 dev_init(c,n,open), dev_init(c,n,close), dev_init(c,n,read), \
184 dev_init(c,n,open), dev_init(c,n,close), dev_init(c,n,read), \
191 dev_init(c,n,open), dev_init(c,n,close), dev_init(c,n,read), \
204 dev_init(c,n,open), dev_init(c,n,close), dev_init(c,n,read), \
211 dev_init(c,n,open), (dev_type_close((*))) nullop, dev_init(c,n,read), \
218 dev_init(c,n,open), dev_init(c,n,close), dev_init(c,n,read), \
[all …]
/openbsd/src/gnu/usr.bin/perl/pod/
Dperlopentut.pod11 file. It is the job of the C<open> function to make the association
16 already open when you run. These include C<STDIN>, C<STDOUT>, C<STDERR>,
34 You will need to open every other filehandle on your own. Although there
35 are many variants, the most common way to call Perl's open() function
38 C< I<OK> = open(I<HANDLE>, I<MODE>, I<PATHNAME>)>
46 will be some defined value if the open succeeds, but
52 C<open> function if it succeeds;
56 is the access mode and the encoding format to open the file with;
64 Most of the complexity of the C<open> function lies in the many
67 One last thing before we show you how to open files: opening
[all …]
/openbsd/src/gnu/usr.bin/perl/t/op/
Dincfilter.t29 open $fh, "<", \'pass("Can return file handles from \@INC");';
63 open $fh, "<", \'fail("File handles and filters work from \@INC");';
67 open $fh, "<", \'fail("File handles and filters with state work from \@INC");';
91 open $fh, "$echo_command $pass_arg|" or die $!;
95 open $fh, "$echo_command $fail_arg|" or die $!;
107 open $fh, "<", \<<'EOC';
114 open $fh, "<", \<<'EOC';
139 open $fh, "<", \<<'EOC';
167 open $fh, "<", \<<'EOC';
175 open $fh, "<", \<<'EOC';
[all …]
/openbsd/src/gnu/usr.bin/perl/lib/File/
DCopy.t49 open(F, ">", "file-$$") or die $!;
56 open(F, "<", "copy-$$") or die $!;
71 open(F, "<", "file-$$");
74 open(R, "<:raw", "copy-$$") or die "open copy-$$: $!"; $foo = <R>; close(R);
78 open(F, "<", "file-$$");
82 open(R, "<", "copy-$$") or die; $foo = <R>; close(R) or die "close: $!";
91 open(R, "<", "copy-$$") or die; $foo = <R>; close(R);
100 open(R, "<", "copy-$$") or die $!; $foo = <R>; close(R);
119 open(R, "<", "file-$$") or die $!; $foo = <R>; close(R);
134 open(R, "<", "lib/file-$$") or die $!; $foo = <R>; close(R);
[all …]
/openbsd/src/gnu/usr.bin/perl/t/run/
Dcloexec.t53 open FHTMP, ">$fname" or die "open '$fname': $!";
74 open INHERIT, qq{<&=$fd} or die qq{open $fd: $!};
88 local *SAVERR; open SAVERR, ">&STDERR"; # save original STDERR
89 open STDERR, ">$tmperr" or die "open '$tmperr': $!";
92 open STDERR, ">&SAVERR" or die "error: restore STDERR: $!";
121 open FHPARENT2, "<$tmpfile2" or die "open '$tmpfile2': $!";
131 open FHPARENT1, "<$tmpfile1" or die "open '$tmpfile1': $!";
139 open FHPARENT1, "<$tmpfile1" or die "open '$tmpfile1': $!";
140 open FHPARENT2, "<$tmpfile2" or die "open '$tmpfile2': $!";
150 open FHPARENT2, "<$tmpfile2" or die "open '$tmpfile2': $!";
[all …]

12345678910>>...85